Bug 3896 - Notices: Cant specify if a notice is available as a digest or in advance in the web interface
Summary: Notices: Cant specify if a notice is available as a digest or in advance in t...
Status: CLOSED WORKSFORME
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: PC All
: P3 minor (vote)
Assignee: Chris Cormack
QA Contact:
URL: /cgi-bin/koha/tools/letter.pl?op=add_...
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-10 09:45 UTC by Joann Ransom
Modified: 2014-12-07 20:02 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:16:23 UTC


---- Reported by jransom@library.org.nz 2009-12-10 21:45:33 ----

When registering or updating a patron, should be able to enter in the number of days advance notice to be given, and digests only. The fields are there but no way of editing them.



---- Additional Comments From chris@bigballofwax.co.nz 2009-12-10 22:42:36 ----

Ahh, this is actually a probably setting up the notices.
There is no interface to set whether something is available by digest, or in advance, it has to be done in the database currently.

If they are set, then you can interact with them fine in the members page.

So the bug is actually in the newsletters





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:16 UTC  ---

This bug was previously known as _bug_ 3896 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3896

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0

Comment 1 Katrin Fischer 2012-04-07 17:21:15 UTC
There is still no way to specify those options (days in advance, digest) from the interface in current master.
The necessary sample data has been moved, so it's now mandatory on installation. Options could only be used with advance and item due notices so far. 
Can this bug be closed or should we leave it open for a better solution?
Comment 2 Katrin Fischer 2013-12-05 23:37:16 UTC
I am not sure if I understand this bug report correctly - but I think this is working alright.

Which notices can be sent out as digests or in advance is hardcoded, as it needs to be implemented in the code. When you install Koha with all mandatory information, this is set up correctly. Due and Predue notices have options for a digest version and only advance notices can be sent in advance.

You can define a standard setting by patron category and then change it for each patron during editing or updating.